Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class ValidSearchDocuments

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.ValidSearchDocuments

All Implemented Interfaces:
  org.esupportail.portal.utils.channels.ISubChannel, org.jasig.portal.ICacheable

    public class ValidSearchDocuments

extends org.esupportail.portal.utils.channels.SubChannel

ValidSearchDocuments
Cette classe prend en charge la validation de plusieurs documents à partir d'une recherche
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`ValidSearchDocuments(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Valide les changements de plusieurs document Override SubChannel.init() method
`java.lang.Boolean` | `initialize(org.jasig.portal.ChannelRuntimeData rd)` Implémente un comportement par défaut pour le moteur de recherche

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getMediaPathMAG, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, logXslParameters, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidSearchDocuments

    public ValidSearchDocuments(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

  Parameters:
    `mainChannel` - La channel principale

Method Detail

### initialize

    public java.lang.Boolean initialize(org.jasig.portal.ChannelRuntimeData rd)
                                 throws org.jasig.portal.PortalException,
                                        org.esupportail.portal.utils.channels.FrameWorkException

  Implémente un comportement par défaut pour le moteur de recherche

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si l'utilisateur peut accéder au moteur de recherche, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Valide les changements de plusieurs document Override SubChannel.init() method

  Specified by:
    `init` in interface `org.esupportail.portal.utils.channels.ISubChannel`
  Overrides:
    `init` in class `org.esupportail.portal.utils.channels.SubChannel`
  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD